:root {
    --corner-radius: 4px;
    --line_color: rgba(153, 204, 255, 0.8);
}

* {
    scrollbar-width: 1px;
    scrollbar-color: rgba(153, 204, 255, 0.5) #000;
}

body {
    color: white;
    background: #000;
    font-family: 'Inter';
}

canvas {
    visibility: hidden;
}

a {
    color: #9cf;
    cursor: pointer;
    transition: 0.2s;
    text-decoration: none;
    font-size: 18px;
}
    a:hover {
        color: #fff;
    }

video {
    max-width: 100%;
    max-height: 80%;
    border-radius: var(--corner-radius);
}

.layout {
    display: grid;
    margin: 5vh 5vh; /*top n bottom vs side margins*/
    grid-template-columns: 200px 1fr; /* width of first column */
    grid-template-rows: max-content max-content max-content max-content 1fr;
    column-gap: 16px;
    row-gap: 6px;
    height: 89vh;
    /* border: 1px solid white; */
}

.tag-title {
    border-left: var(--line_color) 1px dotted;
    grid-row: 1 / 2;
    grid-column: 1 / 2;
    padding-left: 10px;
    font-size: 22px;
}
    .tag-title h2 {
        font-size: 22px;
        margin-bottom: 0px;
        margin-top: 0px;
    }

.tag-list {
    border-left: var(--line_color) 1px dotted;
    grid-row: 2 / 3;
    grid-column: 1 / 2;
    padding-left: 10px;
    overflow-y: scroll;
    max-height: 300px;
    min-height: 300px;
}

    
.form-box {
    border-left: var(--line_color) 1px dotted;
    grid-row: 3 / 4;
    grid-column: 1 / 2;
    padding-left: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    overflow: hidden;
    margin-top: 5px;
    margin-bottom: 5px;
}        

.mini-player {
    grid-row: 4 / 5;
    grid-column: 1 / 2;
}
    .mini-player video {
        max-width: 100%;
        max-height: 100%;
    }

.content {
    border-left: var(--line_color) 1px dotted;
    grid-row: 1 / 6; /* adding several rows fixes the max content issue with items in the 1st column. possibly bad fix */
    grid-column: 2 / 3;
    padding-left: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    overflow-y: scroll;
}

.content-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr)); 
    grid-gap: 16px;
    
}

.card {
    position: relative;
    aspect-ratio: 16 / 9;
    overflow: hidden;
    border-radius: var(--corner-radius);
    transition: 0.3s ease;
}
    .card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: var(--corner-radius);
    }
    .card:hover {
        filter: brightness(0.7);
    }

.modal { /* learn how this works more */
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.close {
    opacity: 0;
}

.selected-tag {
    color: #fff;
}

.upload-interaction {
    border-radius: var(--corner-radius);
    margin-top: 5px;
}

/* .hidden {
    display: block;
    display: none;
} */